package se.nekotronic.udpsender;

import android.os.Bundle;
import android.app.Activity;
import android.text.format.Time;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TextView;

public class UDPSendActivity extends Activity implements OnClickListener {
	private TextView output_area;
	private EditText address_field;
	private EditText message_field;
	private Button send_button;
	public static final String DEFAULT_HOST = "130.243.124.198";
	public static final int PORT = 2004;

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_udpsend);
		output_area = (TextView)findViewById(R.id.output_area);
		address_field = (EditText)findViewById(R.id.address_field);
		address_field.setText(DEFAULT_HOST);
		message_field = (EditText)findViewById(R.id.message_field);
		send_button = (Button)findViewById(R.id.send_button);
		send_button.setOnClickListener(this);

		output_area.setText("");
		print("UDPSender: Appen startar.");
	}

	@Override
	public void onClick(View view) {
		Log.d("*** OnePinger", "Button clicked: view = " + view.toString() + "\n");
		if (view == send_button) {
			String host = address_field.getText().toString();
			String message = message_field.getText().toString();
			UDPSendThread t = new UDPSendThread(this, host, PORT, message);
			t.start();
		}
	} // onClick

	public void print(String message) {
		Log.d("*** OnePinger", "message: " + message);
		Time now = new Time();
		now.setToNow();
		String timeString = now.format("%H:%M:%S");
		final String line = timeString + ": " + message + "\n";
		output_area.post(new Runnable() {
			@Override
			public void run() {
				output_area.setText(output_area.getText() + line);
				// Hr borde vi scrolla automatiskt
				output_area.invalidate();
			}
		});
	} // print

	public void warning(String message) {
		print("Warning! " + message);
	}
} // MainActivity		
