package se.nekotronic.udpsender;
import java.io.IOException;
import java.net.DatagramPacket;
import java.net.DatagramSocket;
import java.net.InetAddress;
import java.net.SocketException;
import java.net.UnknownHostException;

public class UDPSendThread extends Thread {
	private UDPSendActivity parent;
	private String host;
	private int port;
	private String message;

	public UDPSendThread(UDPSendActivity parent, String host, int port, String message) {
		this.parent = parent;
		this.host = host;
		this.port = port;
		this.message = message;
	}
	
	public void run() {
		try {
			InetAddress receiver_address = InetAddress.getByName(host);
			DatagramSocket socket = new DatagramSocket();
			byte[] buffer = message.getBytes();
			DatagramPacket packet = new DatagramPacket(buffer, buffer.length, receiver_address, port);
			parent.print("Sending '" + message + "'...");
			socket.send(packet);
			parent.print("Sent '" + message + "'");
			socket.close();
		} catch (UnknownHostException e) {
			parent.warning("UnknownHostException e = " + e);
		} catch (SocketException e) {
			parent.warning("SocketException e = " + e);
		} catch (IOException e) {
			parent.warning("IOException e = " + e);
		}
	} // run
} // UDPSendThread
